de.esprit.netsuite.server.auth

## Class AbstractGroup

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.common.util.TransferableObject
    - - de.esprit.netsuite.server.auth.AbstractGroup

- All Implemented Interfaces:
    Renderable, DeepCloneable, Dumpable, Group, java.io.Serializable, java.lang.Cloneable, java.lang.Comparable
  Direct Known Subclasses:
    DefaultGroup

      public class AbstractGroup
      extends TransferableObject
      implements Group

  This is a default implementation for an EsprIT user group
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from interface de.esprit.netsuite.server.auth.Group

      `COMMENT, GID, GROUP_NAME, groupsDocType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractGroup(int gid, java.lang.String groupName, java.lang.String comment)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(java.lang.Object o)`
    `AbstractGroup` | `copy()` Returns a deep clone of this object
    `boolean` | `equals(java.lang.Object o)`
    `java.lang.String` | `getComment()`
    `int` | `getGID()`
    `java.lang.String` | `getGroupName()` Returns the unique group name.
    `java.awt.Color` | `getRenderColor()`
    `javax.swing.Icon` | `getRenderIcon()`
    `java.lang.String` | `getRenderText()`
    `int` | `hashCode()`
    `void` | `setComment(java.lang.String comment)`
    `void` | `setGID(int gid)`
    `void` | `setGroupName(java.lang.String name)`
    `DumpString` | `toDumpString(DumpString s)` This method allows subclasses to add values to the existing DumpString of the superclass.
    `ToString` | `toString(ToString s)` This method allows subclasses to add values to the existing ToString of the superclass.

    - ### Methods inherited from class de.esprit.common.util.TransferableObject

      `clone`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface de.esprit.common.type.Dumpable

      `toDumpString, toString`

- - ### Constructor Detail

    - #### AbstractGroup

          public AbstractGroup(int gid,
                       java.lang.String groupName,
                       java.lang.String comment)

  - ### Method Detail

    - #### getRenderIcon

          public javax.swing.Icon getRenderIcon()

      Specified by:
        `getRenderIcon` in interface `Renderable`

    - #### getRenderColor

          public java.awt.Color getRenderColor()

      Specified by:
        `getRenderColor` in interface `Renderable`

    - #### getRenderText

          public java.lang.String getRenderText()

      Specified by:
        `getRenderText` in interface `Renderable`

    - #### getGID

          public int getGID()

      Specified by:
        `getGID` in interface `Group`

    - #### setGID

          public void setGID(int gid)

      Specified by:
        `setGID` in interface `Group`

    - #### getGroupName

          public java.lang.String getGroupName()

      Description copied from interface: `Group`
      Returns the unique group name. This should be a short name with no white spaces and in lower case characters only.
      Specified by:
        `getGroupName` in interface `Group`

    - #### setGroupName

          public void setGroupName(java.lang.String name)

      Specified by:
        `setGroupName` in interface `Group`

    - #### getComment

          public java.lang.String getComment()

      Specified by:
        `getComment` in interface `Group`

    - #### setComment

          public void setComment(java.lang.String comment)

      Specified by:
        `setComment` in interface `Group`

    - #### copy

          public AbstractGroup copy()

      Description copied from interface: `DeepCloneable`
      Returns a deep clone of this object
      Specified by:
        `copy` in interface `DeepCloneable`
      Specified by:
        `copy` in interface `Group`
      Overrides:
        `copy` in class `TransferableObject`

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### compareTo

          public int compareTo(java.lang.Object o)

      Specified by:
        `compareTo` in interface `java.lang.Comparable`

    - #### toString

          public ToString toString(ToString s)

      Description copied from interface: `Dumpable`
      This method allows subclasses to add values to the existing ToString of the superclass. Usually subclasses only need to override this method.
      Specified by:
        `toString` in interface `Dumpable`
      Overrides:
        `toString` in class `DumpableObject`

    - #### toDumpString

          public DumpString toDumpString(DumpString s)

      Description copied from interface: `Dumpable`
      This method allows subclasses to add values to the existing DumpString of the superclass. Usually subclasses only need to override this method.
      Specified by:
        `toDumpString` in interface `Dumpable`
      Overrides:
        `toDumpString` in class `DumpableObject`

Copyright © 2013 EsprIT-Systems. All Rights Reserved.